#!/bin/bash
date="`date +%Y-%m-%d`"
olddate="`date --date '2 months ago' +%Y-%m`"
destdir=~/backup/datamine

# get the files. Vera does not have rsync, so we use regular scp
scp -qpr root@vera:/mnt/datamine_logs $destdir/

# create the backup tar ball
tar -cpzf $destdir/datamine_$date.tar.gz $destdir/datamine_logs

# fix rights..
chmod 600 $destdir/datamine_$date.tar.gz

# remove tempfiles
rm -rf $destdir/datamine_logs

# Remove all backups created 2 months ago 
rm -f $destdir/datamine_$olddate-*.tar.gz


#    vespaman, forum.micasaverde.com